using System;
using System.Collections.ObjectModel;
using System.Threading.Tasks;

namespace LocalFolderSample.DataModel
{
    public interface IDataRepository
    {
        Task Add(Customer customer);
        Task<ObservableCollection<Customer>> Load();
        Task Remove(Customer customer);
        Task Update(Customer customer);
    }
}
